### Method

# Foundry Intent set_attribute_value

since: 1.1

#### Declaration [src]

    void
    foundry_intent_set_attribute_value (
      FoundryIntent* self,
      const char* attribute,
      const GValue* value
    )

#### Description [src]

Sets an attribute value for the intent. The value is copied.

Available since: 1.1

#### Parameters

`attribute`

  Type: `const char*`

  The attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The `GValue` to set.

  The data is owned by the caller of the method.